<?php

namespace Treewec\DirectoryIterators;

/**
 * Test class for ProcessedFilesAbortion.
 * Generated by PHPUnit on 2012-07-03 at 16:23:15
 * @group directory_iterators
 */
class ProcessedFilesAbortionTest extends \PHPUnit_Framework_TestCase {

    public function testAbortChildLoading() {
        // default value is 0 -> abort first file
        $this->assert(0, 0, true);
        // if number < 0 or invalid -> depth is not set (default)
        $this->assert('dasddsa', 0, true);
        // max is how many files are processed
        $this->assert(1, 1, false);
        $this->assert(1, 2, true);
    }
    
    private function assert($max, $processedFilesCount, $result) {
        $abort = new ProcessedFilesAbortion();
        $abort->setMax($max);
        for ($i = 0; $i < ($processedFilesCount - 1); $i++) {// -1 because one is called in assertTrue
            $abort->abortChildLoading(null); // to increment max counter
        }
        parent::assertTrue($abort->abortChildLoading(null) == $result);
    }

}

?>
